function [Pinit,A,Me,Seg,C,LP,Com]=chmmdeli(HMM)

// gets the parameters of a CHMM from a list HMM (used in "chmmdist").

// Pinit 	: Initial state distribution vector (1*N)
// A     	: State stochastic matrix (N*N)
// Seg   	: Observation Covariance list Seg=list(1:M)Segi
// Segi 	: Observation covarianc list Segi=list(1:N)Segsi
// Segsi	: Covariance Matrix (K*K) in state si 
// Me    	: Observation mean list Me=list(1:M)Mi
// Mi		: Matrices  Mi (K*N)of mean vectors Msi
// Msi		: Observation Mean vectors (K*1) in state si 
// C     	: Mixture gains (for a mixture of Gaussians probability density function)
// C=ones(N*1) 	: Case of Single Gaussian
// C (N*M)	: Case of M mixtures
// M		: Number of Gaussian observation mixtures (scalar)
// N		: Number of states in HMM (scalar)
// LP		: Log likelihood (log(P(OImodel))
// Com		: Commentary
// O     	: Given observation sequence matrix (K*T)
// K		: Observation mean vector dimension
// T     	: Observation sequence length (scalar)

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

Pinit=HMM(1); A=HMM(2); Me=HMM(3); Seg=HMM(4); C=HMM(5);
LP=HMM(6); Com=HMM(7);
