function [LP,A,Me,Seg]=cvitrain(Pinit,A,Me,Seg,O)

// This function reestimates a CHMM with a single Gaussian continuous observations using the Viterbi algorithm
// The underflow problem taken into account

// O     	: Observation sequence matrix (K*T)
// Pinit 	: Initial state distribution vector (1*N)
// A     	: State stochastic matrix (N*N)
// Seg   	: Observation Covariance list Seg=list(1:M)Segi
// Segi 	: Observation covarianc list Segi=list(1:N)Segsi
// Segsi	: Covariance Matrix (K*K) in state si 
// Me    	: Observation mean list Me=list(1:M)Mi
// Mi		: Matrices  Mi (K*N)of mean vectors Msi
// Msi		: Observation Mean vectors (K*1) in state si 
// M=1		: Number of Gaussian observation mixtures (scalar)mod
// K		: Observation mean vector dimension
// N		: Number of states in HMM (scalar)
// T     	: Observation sequence length (scalar)
// P		: Likelihood P(O)
// LP		: Normalized log of Likelihood (log(P(O))

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved


[K,T]=size(O);		// T : oberservation length
[N,cA]=size(A);		// N : number of states
Aest=zeros(N,N);
Sum=zeros(K,N);
	C=ones(N,1);
	[LP,X]=cviterbi(Pinit,A,Me,Seg,C,O)
	Sum(:,X(1))=Sum(:,X(1))+O(:,1);
	for t=2:T
		Aest(X(t-1),X(t))= Aest(X(t-1),X(t))+1;
		Sum(:,X(t))=Sum(:,X(t))+O(:,t);
	end
	A=inv(diag(Aest*ones(N,1)))*Aest;
	[Seg,Me,Nobs]=segmean(O,X,N);









