function [Pinit,A,B,M,N]=dinhmm(mod,lr)

// Two examples for Discret  Observations HMM (DHMM) initialisation
// returns the parameters of the mod-th model (mod=1 or 2)
// Two model structures may be generated :
// mod=1 for N=2, M=2
// mod=2 for N=4, M=8 
// lr=1 : All transitions between states are permitted
// lr=2 : Left-to-Right model

// A     : State stochastic matrix (N*N)
// B     : Observation stochastic matrix (N*M)
// Pinit : Initial state distribution vecor (1*N) 	
// M	 : Number of distinct observation symbols per state
// N	 : Number of states	

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

[lhs,rhs]=argn(0);
if rhs~=2
	mod=1;lr=1;
	printf("No input arguments specified. Inputs set to defaults mod=1, lr=1.");
	printf("Continue? (y/n) then return\n");
	ans=read(%io(1),1,1,'(a)');
	if ~((ans=='y')|(ans=='Y')),
		printf("Program termination\n");
		abort;
	end
end
if (mod<1)|(mod>2) 
	if (lr<1)|(lr>2) then
		mod=1;lr=1;
		printf("First input argument mod must be equal to 1 or 2. This input set to default mod=1.");
		printf("Second input argument lr must be equal to 1 or 2. This input set to default lr=1.");
		printf("Continue? (y/n) then return");
		ans=read(%io(1),1,1,'(a)');
		if ~((ans=='y')|(ans=='Y')),
			printf("Program termination\n");
			abort;
		end
	else
		mod=1;
		printf("First input argument mod must be equal to 1 or 2. This input set to default mod=1.");
		printf("Continue? (y/n) then return");
		ans=read(%io(1),1,1,'(a)');
		if ~((ans=='y')|(ans=='Y')),
			printf("Program termination\n");
			abort;
		end
	end
end
if (lr<1)|(lr>2) 
	if (mod<1)|(mod>2) then
		mod=1;lr=1;
		printf("First input argument mod must be equal to 1 or 2. This input set to default mod=1.\n");
		printf("Second input argument lr must be equal to 1 or 2. This input set to default lr=1.\n");
		printf("Continue? (y/n) then return\n");
		ans=read(%io(1),1,1,'(a)');
		if ~((ans=='y')|(ans=='Y')),
			printf("Program termination\n");
			abort;
		end
	else
		lr=1;
		printf("Second input argument lr must be equal to 1 or 2 . This input set to default mod=1.\n");
		printf("Continue? (y/n) then return\n");
		ans=read(%io(1),1,1,'(a)');
		if ~((ans=='y')|(ans=='Y')),
			printf("Program termination\n",mod);
			abort;
		end
	end
end
if lhs~=5
	printf("Wrong number of output variables\n");
	printf("Continue? (y/n)\n");
	ans=read(%io(1),1,1,'(a)');
	if ~((ans=='y')|(ans=='Y')),
		printf("Program termination\n");
		abort;
	end
end

select mod
case 1 then 

    N=2;
    M=2;	
		if lr==1 then
    	A = [0.3,0.7;
         	0.8,0.2];
		elseif lr==2 then
			A = [0.50,0.50;
	     		0.00,1.00];
		end
   	B = [ 0.7,0.3;
         0.8,0.2];
   	Pinit = [1,0];

case 2 then 
    
    N=4;
    M=8;
		if lr==1 then
    	A = [0.4,0.4,0.1,0.1;
           0.1,0.1,0.4,0.4;
           0.4,0.4,0.1,0.1;
           0.1,0.1,0.4,0.4];
		elseif lr==2 then
			A = [0.4,0.4,0.1,0.1;
       		 0.0,0.4,0.5,0.1;
       		 0.0,0.0,0.4,0.6;
           0.0,0.0,0.0,1.0];
		end
    B = [0.4,0.4,0.1,0.1,0.4,0.4,0.1,0.1;
         0.1,0.4,0.4,0.1,0.1,0.4,0.4,0.1;
         0.1,0.1,0.4,0.4,0.1,0.1,0.4,0.4;
         0.4,0.1,0.1,0.4,0.4,0.1,0.1,0.4];
    weight = [.3,.3,.3,.3,.7,.7,.7,.7];
    B=B*diag(weight);
    Pinit =[1,0,0,0];
end
