function [LP,A,B]=dvitrain(Pinit,A,B,O)

// This function reestimates a DHMM by using the Viterbi algorithm
// The underflow problem is taken into account

// A     : State stochastic matrix (N*N)
// B     : Observation stochastic matrix (N*M)
// LP 	 : Normalized log of likelihood of HMM (log(P(O|model)/T)
// P	 : Likelihood
// Pinit : Initial state distribution vecor (1*N)
// O	 : Observation sequence matrix (1*T)	 	
// M	 : Number of distinct observation symbols per state
// N	 : Number of states	
// T	 : Observation sequence length

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved
 

[lO,T]=size(O);		// T : oberservation length
[N,cA]=size(A);		// N : number of states
[lB,M]=size(B);		// M : number of observations per state
			// cO,cA,lB only because of language structure
Aest=zeros(N,N);
Best=zeros(N,M);

    [LP,X]=dviterbi(Pinit,A,B,O);
    Best(X(1),O(1))=Best(X(1),O(1))+1;
    for t=2:T
		Aest(X(t-1),X(t))= Aest(X(t-1),X(t))+1;
		Best(X(t),O(t))=Best(X(t),O(t))+1;
    end
    A=inv(diag(Aest*ones(N,1)))*Aest;
    B=inv(diag(Best*ones(M,1)))*Best;














