function [HMMslist]=hmmtrain()

// This function is used as how to train a HMM (A demonstration example).
// Training of a Discret observations HMM (DHMM)
// Training of a Continuous observations HMM (CHMM) for a single or a mixture of Gaussian observations sequence
// Training of an AutoRegressif HMM (ARHMM) for a single or a mixture of Gaussian observations sequence

// HMMslist : A list of old HMM parameters, new HMM parameters, Normalized log of Likelihood,
// used observation sequence and their corresponding state sequence:
// HMMslist=list(Pinit0,A0,B0,Pinit,A,B,LP,O,X) for DHMM
// HMMslist=list(Pinit0,A0,Me0,Seg0,C0,Pinit,A,Me,Seg,C,LP,O,X) for CHMM

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved
    

x_message(['HIDDEN MARKOV MODELS (HMMs) TOOLBOX Version hmm-2';
' ';
'A Hidden Markov Model is double stohastic processes with one underlying process that is not observable but';
'may be estimated through a set of processes that produce a sequence of observations.'
' ';
'This is a HMMs toolbox. The algorithms used in this toolbox are based on the following papers:';
' ';
'* L.Liporace: Maximum likelihood estimation for multivariate observations of Markov sources.';
'  IEEE. Trans. Inform. Theory, IT-28, pp. 729-734, 1982.'; 
'* B. H. Juang. Maximum Likelihood Estimation for Multivariate Mixture Observations of ';
'  Markov Chains. IEEE Transactions on Information Theory, Vol IT-32, No. 2, March 1986.';
'* L.R.Rabiner et al.: A model-based connected-digit recognition system';
'  using either HMMs or templates, IEEE Computer Speech and Language (1986) 1, 167-197.'; 
'* L.R. Rabiner: A Tutorial on HMM and selected applications in speech recognition, ICASSP IEEE 1989';
'* A. J. Viterbi. Error bounds for convolutional codes and asymptotically optimum decoding algorithm.';
'  IEEE Trans. Inform. Theory, IT-13, pp. 260-269, April 1967.';
'* L.R. Rabiner et al. Some Properties of Continuous Hidden Markov Model Representations. AT&T Technical ';
'  Journal, Vol. 64'' No. 6, July-August 1985.';
'* A.B. Poritz. Linear predictive hidden Markov models and the speech signal. In Proc. ';
'  ICASSP ''82 (Paris, France)';
'  pp. 1291-1294, May, 1982.';
'* B.H. Juang and L.R. Rabiner. Mixture Autoregressive hidden Markov models for speech signals.';
'  IEEE Trans. Acoust. Speech Signal Processing. Vol. ASSP-33, no. 6, pp. 1404-1413,Dec. 1985.';
'* Y. Hamam and T. Al-ani. Simulated annealing approach for training Hidden Markov Models. 4th WG-7.6 Working';
'  Conference on Optimization-Based Computer-Aided Modeling and Design, ESIEE, France, May 28-30, 1996.';
'  A postscript version of this paper is given with this toolbox version.';
'* T. Al-ani and Y. Hamam. An Integrated Environnement for Hidden Markov Models. A Scilab Toolbox.';
'  IEEE Int. Conf. on CACSD, Dearborn, 15-18 September 1996. A postscript version of this paper is given with';
'  this toolbox version.']);  
x_message(['To use this toolbox, you may execute the demonstration example that explains how to train a HMM using a';
'generated observation sequence. This sequence may be  generated by a given initial HMM. You may compare the';
'initial and the trained HMM. We hope that the two models are approximatively the same (je touche de bois) !!!!)';
'Three observation based types of HMM are implemented :';
'1. HMM with discret observation sequence DHMM';
'2. HMM with continuous observation sequence CHMM';
'3. HMM with continuous observation sequence based on Autoregressive model ARHMM.';
'In Scilab Dialog Panels, the names and the execution order of the different functions used in the';
'demonstration are introduced. The simulation arguments are inroduced for demonstration. You may, of';
'course, modify them afterwards directly in these Panels for other choices.';
'You may use the on-line help to obtain a full description on each function of this toolbox.';
' ';
'ENJOY';
 ' ';
'Authors address:';
'Tarik AL-ANI (*) and Yskandar HAMAM (+)';
'Groupe E.S.I.E.E.'
'CITE DESCARTES-BP 99, 2 BD BLAISE PASCAL, F 93162 NOISY-LE-GRAND CEDEX, FRANCE';
'*TEL. 33-1 45 92 65 99, FAX 33-1 45 92 66 99, e-mail alanit@esiee.fr';
'+TEL. 33-1 45 92 66 11, FAX 33-1 45 92 66 99, e-mail hamam@esiee.fr']);

check1=%f;
while ~check1,
	d=x_message(['In the following demonstration:';
	'1. we generate first a Discrete HMMM(DHMM) or a Continuous HMM (CHMM).';
	'   Then these HMMs are used to generate a sequence of observations.';
	'2. Based on the generated observation sequence, different algorithms';
	'   may be used to construct the models by training.';
	'The generated and the trained models should be statistically close to each other.';
	'Would you like to proceed with the demonstration?';
	'If yes click on Ok to continue';
	'otherwise click on Cancel to abort.'],['Ok';'Cancel']);
	if d==1 then 
		check1=%t;
		HMMslist=training()
		return;
	elseif d==2 then
	yorn();	
	check1=%f;
	end 
end





