function [Mj ,Segsj]=meanvar(j,Oj)
   
// This function calculates the mean vector (Mj) and 
// covariance matrix (Segj) per state j and per mixture
// of a given observation sequence O in state j.   

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved  

// K       : Dimension of the observation vector
// j       : State number 
// Oj      : Observation sequence matrix (K*T)
// Mj      : Observation mean vector in state j (K*1)
// Segsj   : Covariance matrix in state j (K*K)


T=size(Oj,2);		//Observation sequence length
K=size(Oj,1);		//Observation vector dimension
Mj=zeros(K,1)
Segsj=zeros(K,K);	// Observation covariance matrix (K*K)
	// mean vector of the sample 
if T==1,
	n=1;m=1; 
	col=' ';
	row='Iter ';
	labelh=col(ones(1,m))+string(1:m);
	labelv=row(ones(1,n))+string(1:n);
	check=%f 
	while ~check,
		x_message(['OBSERVATION SEQUENCE LENGTH';
		'The observation sequence length T must be greater than one';
		'The correct observation sequence may be introduced to proceed';
		'Please click on OK to abort']);
		if check~=[];
			abort;
		end	
	end
end
Mj=sum(Oj,2)/T;	// mean vector of the sample 
for t=1:T
	Segsj=Segsj+(Oj(:,t)-Mj)*(Oj(:,t)-Mj)';
end
Segsj=Segsj/(T-1);	// covariance matrix of the sample








