function myhelp(MANPATH,btn_name)
// add "myhelp(MANPATH,btn_name)" instruction in your own ".scilab " startup
// file.
// MANPATH   is a character string which contains the path to your own man
//           directory. (ex: '~/hmm/man')
// btn_name  is a character string which contains the name of the help button
//           you which to appear in the main scilab window

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Design & Control of Dynamic Systems Laboratory (CODYN) - E.S.I.E.E.
// All rights Reserved

[lhs,rhs]=argn(0)
if rhs>1 then

  // ===================
  // initialization part
  //====================


  // Get brief description of all documented function
  myhelplst=read(MANPATH+'/hmm/whatis',-1,1,'(a)');
  //define a new button
  myhelpaction='myhelp('''+MANPATH+''')'
  delmenu(btn_name)
  addmenu(btn_name,list(0,'myhelpaction'))
  [myhelplst,myhelpaction]=resume(myhelplst,myhelpaction)

else

  // ===================
  // help on item part
  //====================

  //ask user for an item
  if exists('myhelplst')==0 then
    x_message('myhelplst variable no longer exists')
    return
  end
  n=x_choose(myhelplst,"Choose an item')
  if n==0 then return,end //user hit cancel

  //extraction of the item  name
  choosed=myhelplst(n)
  l1=1;while part(choosed,l1)==' ' then l1=l1+1,end //strip leading blanks
  l2=l1;while part(choosed,l2)<>' ' then l2=l2+1,end

  str=convstr(part(choosed,l1:l2-1)) //convert item to lower case
  fil=unix_g('ls '+MANPATH+'/hmm/'+str+'.cat') // get file path
  if size(fil,'*')== 0 then x_message('No manual entry for '+str),return,end

  //display the help information
  host('cat '+fil+'|'+SCI+'/bin/xless&')
end

