function [Seg,Me,Nobs]=segmean(O,X,N);

// Calculates the mean vectors and the covariance matrices of a
// single Gaussian observation sequence (M=1) in state i, for i=1,...,N

// Seg   	: Observation Covariance list Seg=list(1:M)Segi
// Segi 	: Observation covarianc list Segi=list(1:N)Segsi
// Segsi	: Covariance Matrix (K*K) in state si 
// Me    	: Observation mean list Me=list(1:M)Mi
// Mi		: Matrices  Mi (K*N)of mean vectors Msi
// Msi		: Observation Mean vectors (K*1) in state si 
// M=1		: Number of Gaussian observation mixtures (scalar)
// Nobs  : Number of observations in state i, for i=1,..., N
// O     : Single Gaussian Observation sequence matrix (K*T)
// X	 : State sequence

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved

[K,T]=size(O);
Segi=list();
Seg=list();
Me=list();
Mi=zeros(K,N);
Nobs=zeros(N,1);
for i=1:N
 SumSq=zeros(K,K);
 for t=1:T
    if X(t)==i
      SumSq=SumSq+O(:,t)*O(:,t)';
      Nobs(i)=Nobs(i)+1;
      Mi(:,i)=Mi(:,i)+O(:,t);
    end
 end 
  Mi(:,i)=Mi(:,i)/Nobs(i); 
  Segi(i)=(SumSq - Nobs(i)*(Mi(:,i)*Mi(:,i)'))/(Nobs(i)-1);
end 
Me(1)=Mi;
Seg(1)=Segi;



