function [D] = sqrdist(X,z,W);
// SQRDIST : calculate a 1*n vector D containing the squared distances from z
//           to every vector in X
// D = sqrdist(X,z,W)
//	X - d*n matrix containing the vectors
//	z - d*1 vector to compare all x's with
//	W - if specified, a d*d weight matrix
//	D - the 1*n result

// Copyright (c) 1995 Frank Dellaert
// All rights Reserved

// Adapted to Scilab version by T. AL ANI (*) and C. Bunks ($)
// Last change 97/08/01

// (*) e-mail: alanit@esiee.fr
// ($) e-mail: cbunks@bbn.com

[d,n] = size(X);

E = X-z*ones(1,n); // d*n matrix of error vectors

if (argn(0)>=3)
  E = W*E;
end

if (d>1)
    x=E.*E;
    D=sum(x,1);
else
  D = E.*E;
end


