function [c,z] = vq_kmean(O);

// Vector quantization by k-means clustering
// [c,z] = kmeans(x,nc)
//	O       - K*T samples
//	c       - calculated membership vector
//	z  	- K*nc matrix with the mean for each cluster
//	nc      - number of clusters wanted

// Copyright (c) 1998 T. AL ANI and Y. HAMAM
// Groupe E.S.I.E.E.
// All rights Reserved


[lhs,rhs]=argn(0);
if rhs~=1
	printf("Wrong number of input arguments in function qv_kmean !\nFunction call is :\n");
	printf("[ c , z] = qv_kmean(O)\n");
	printf("Program termination\n",rhs);
	abort;
end
if lhs~=2
	printf("Wrong number of output variables.\nContinue? (y/n)\n");
	ans=read(%io(1),1,1,'(a)');
	if ~((ans=='y')|(ans=='Y'))
		printf("Program termination\n");
		abort;
	end
end

[K,T]=size(O);
	check=%f 
	while ~check,
	N=2;
	ns1=1;ms1=1; 
	col=' ';
	row=' ';
	labelh=col(ones(1,ms1))+string(1:ms1);
	labelv=row(ones(1,ns1))+string(1:ns1);
		M=evstr(x_mdialog(['VECTOR QUANTIZATION- NUMBER OF CLUSTERS';
		'Please give the number of clusters then';
		'click on OK to continue, otherwise Cancel to abort'],labelv,labelh,string(N)));
		if N~=[],
		check=%t;
		else
			yorn();
		end 
	end
[c,z]=kmeans(O,N);
if c(1)~=1,
  Xold=c(1);
  Xlist1=find(c==1);
  Xlistold=find(c==Xold);
  c(Xlistold)=1;
  c(Xlist1)=Xold;
end;
// Plot for two dimensional observation vectors
if size(O,1)==2,
xflag=[0];
o1=O(1,:);
o2=O(2,:);
printf('>> Plot of all observation of %d vectors\n',T);
plotdata(O,o1,o2,xflag);  // plot all observations
xtitle('The complete Gaussian mixture data set ('+string(T)+') of two dim. vectors','o1=O(1,:)','o2=O(2,:)');
printf('>> Please type ''resume'' to continue');
pause;
	xflag=[-1;-2;-3;-4;-5;-6];
	for i=1:N,
   		Yi=O(:,find(c==i));
		[Ki,Ti]=size(Yi);
		o1=Yi(1,:);
		o2=Yi(2,:);
		printf('>> Plot of cluster %d\n',i);
		printf('>> Number of vectors =  %d\n',Ti);
   		plotdata(O,o1,o2,xflag(i)); // plot clusters
		printf('Cluster '+string(i)+' of '+string(Ti)+' vectors\n');
		printf('>> Please type ''resume'' to continue\n');
		pause;
	end 
end
