.TH arlike  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
arlike - calculates the likelihood of a ARHMM  
.SH CALLING SEQUENCE
.nf
[P]=arlike(ar,R,sig2)
.fi
.SH PARAMETERS
.TP
ar 
: matrix contains the regression coefficients in each state and for each
output k. Its size is equal to (Nx(K*Ng)) where Ng=n+1 for b0=0 (AR model) 
or Ng=2(n+1) for b0=1 (ARX model). The ar(:,(k-1)*Ng+1), k=1,2,...K are always one.

		
       I 1 a1(1)     . . .  an(1) 1 b1(1)     . . .  bn(1)  I
ar_k = I .................................................  I
       I 1 a1(N)     . . .  an(N) 1 b1(N)     . . .  bn(N)  I
 
N is the number of states
.TP
R 
: matrix n+1xn+1 (if b0=0, AR model) or a matrix 2n+2x2n+2 (if b0=1, ARMA model)
R is symmetric positive semi-definite
.TP 
sig2
matrix containing the deviation for the regression (K*N)
.TP 
P
: likelihood
.SH DESCRIPTION
.nf
[P]=arlike(ar,R,sig2)
.fi
calculates the likelihood that a given observation was generated 
by the autoregressive HMM for i=1,..,N 
The likelihood defined by
P(i)=2/(sqrt(2*%pi*sig2(i)))*exp(-(ar(i,:)*R*ar(i,:)')/(2*sig2(i)))
.fi
.SH SEE ALSO
armulik1, armuliks, armake						T. A.
