.TH armake  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
armake - Creates input/output regression matrix for a ARHMM
.SH CALLING SEQUENCE
.nf
[R]=armake(Yk,u,n,b0)
.fi
.SH PARAMETERS
.TP
Yk 
: Oout(k,(t-1)*Ts+1:Ts*t) (kth output observation segment vector), t=1,2,..,T
.TP
u
: input (1*size(O,2))
.TP
n
: n=na=nb// na   : number of regression coefficients for the output signal
nb is the number of regression coefficients (nb<=na) for the input signal,
b0=0 if no input signal is used 
.TP 
R
: a matrix (K*(n+1xn+1)) (if b0=0, AR model) or a matrix (K*2(n+1)x2(n+1)) (if b0=1, ARX model)
R is symmetric positive semi-definite
.SH DESCRIPTION
.nf
[R]=armake(Yk,u,n,b0)
.fi
Creates a matrix n+1xn+1 (if b0=0, AR model): 
yk=-sum(i=1:n)[ai*y_(k-i)], a0=1;
or a matrix 2n+1x2n+1 (if b0=1, ARX model)
yk=-sum(i=1:n)[ai*y_(k-i)]+sum(j=0:n)[bj*y_(k-j)], a0=b0=1
from the observation segment of length Ts of kth system output : Oout(k,1:Ts), K=> k >=1
.fi
.SH SEE ALSO
arlik, armulik1, armuliks 						T. A 
