.TH armurees  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
armurees - reestimates a ARHMM by Poritz algorithm 
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,ar,sig2]=armurees(Pinit,A,ar,sig2,Ts,b0,Oout,Oin,tol,IterMax)
.fi
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N)
.TP
A     	
: State stochastic matrix (N*N)
.TP
ar 
: matrix contains the regression coefficients in each state and for each
output k. Its size is equal to (Nx(K*Ng)) where Ng=n+1 for b0=0 (AR model) 
or Ng=2(n+1) for b0=1 (ARX model). The ar(:,(k-1)*Ng+1), k=1,2,...K are always one.

		
       I 1 a1(1)     . . .  an(1) 1 b1(1)     . . .  bn(1)  I
ar_k = I .................................................  I
       I 1 a1(N)     . . .  an(N) 1 b1(N)     . . .  bn(N)  I

N is the number of states
.TP
sig2
: matrix containing the deviation for the regression (K*N)
.TP
Ts
: number of observations at least represented by one state
.TP
b0	
: b0=0 (u=0), AR model,  b0=1, ARX model 
.TP
Oout 
: output observation matrix of dimension (Kx(TxM)),
system output is a vector of size K.
.TP
Oin  
: input observation vector de dimension (1*(T*Ts)), system input is scalar
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 
: Maximum Iteration number
.TP
P
: likelihood
.TP
LP
: Normalized log of Likelihood of HMM (log(P(O|model)/T)
.SH DESCRIPTION
.nf
[LP,Pinit,A,ar,sig2]=armurees(Pinit,A,ar,sig2,Ts,b0,Oout,Oin,tol,IterMax)
.fi
This function recursively calls "armurecu" to train a ARHMM by Poritz algorithm.
Only a single Gaussian observation sequence may be used.
The formulas are based on Poritz algorithm. They are, however, 
extended to a single input-output model (a multiple 
decorrelated outputs is also possible)
This function takes the underflow problem into account 
.fi
.SH SEE ALSO
arlik, armulik1 ,armuliks, armake, armurecu				T. A 
