.TH canneals  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
canneals - CHMM training by simulated annealing 
.SH CALLING SEQUENCE
.nf
[LP,A,Me,Seg]=canneals(a,N,O,Iter)
.fi
.SH PARAMETERS
.TP
a 
:Matrix that indicate the allowed transitions (1 for 
allowed, 0 for forbidden transitions) 
.TP 
N
:number of states
.TP
O 
: Single Gaussian Observation sequence matrix (K*T)
.TP 
Iter
: Number of iterations with different ( reducing ) temperatures
.TP 
P
: likelihood
.TP 
LP
: Normalized log of likelihood of HMM (log(P(O|model)/T)
.SH DESCRIPTION
.nf
[LP,A,Me,Seg]=canneals(a,N,O,Iter)
.fi
function used for training of a CHMM
by simulated annealing for a single gaussian (M=1).
The matrix 'a' indicates the allowed transitions (1 for allowed, 0 for forbidden transitions),
necessary in left-to right models.
Since the algorithm uses 'a' only as a penalty matrix, it is not guarenteed, that the result
has the desired form. A longer iteration often solves this problem. At the end of the
simulated annealing procedure it might, however, be necessary to swap lines in the A-matrix 
and the corresponding lines in the other matrices to obtain the desired result.
If 'a' is given as ones(N,N), it is assumed that all transitions are allowed.
The variable Iter gives the number of iterations with different ( reducing )
temperatures
Brief description of the algorithm : Given the observation sequence O, a state sequence is
generated at random. With the observations that are then assigned to each state, the mean and the
variance of the sample are calculated.
With these values the probability of generating O with the guessed state sequence is calculated.
This is called the inital cost. 
Afterwards one state in the sequence is changed at random and the probability
that this new state sequence has generated O is calculated, after changing the mean and the variance 
of the changed states. 
If the new probability is bigger than the old one, or the probability of acceptance 
Paccept=exp((Pnew-Pold)/Temp) is big enough, the change is saved. The probability of acceptance 
decreases with decreasing temperature so that for longer iteration only better solutions are accepted.
.fi
.SH SEE ALSO
danneal									T. A 
