.TH cchkpars  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cchkpars - checks if the matrices Pinit,A,Me,Seg are valid 
.SH CALLING SEQUENCE
.nf
[ok] = cchkpars(Pinit,A,Me,Seg,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
ok		
: A logical variable (T or F) 
.SH 
.SH DESCRIPTION
.nf
[ok] = cchkpars(Pinit,A,Me,Seg,O)
.fi
This function checks if the matrices Pinit,A,Me,Seg are
valid matrices for a Multivariate Single Gaussian Observations HMM, i.e. checks if the sizes match, the sum of 
probabilities is 1, probabilities are > 0 and covariance martices
are symmetric and positiv definit, mixtures gain factors are > 0 and sum to 1
.fi
.SH SEE ALSO
cchkparm								T. A 
