.TH cgenlr  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cgenlr - generates observation matrices for CHMM left to right model reestimation test
.SH CALLING SEQUENCE
.nf
[Obs,Xs]=cgenlr(Pinit,A,Me,Seg,C)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M=1, is the number of Gaussian observation mixtures
K is the Observation mean vector dimension
T is the Observation sequence length 
.TP
Obs 		
: Observation sequences vector :the several observation sequences O are
concatenated with their length Ts inbetween them';
size(Obs): (1,L+Ts1+Ts2+...+TsL).
O is the Observation sequence vector (K*T)
.TP
Xs 	 	
: State sequences vector :the several state sequences X are
concatenated with their length Ts inbetween them
size(Xs): (1,L+Ts1+Ts2+...+TsL)
X is the State sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[Obs,Xs]=cgenlr(Pinit,A,Me,Seg,C)
.fi
function to generate observation matrices for left to right model
reestimation. The several observations are concatenated with their
length in between them.
The vector Tv contains the observation lengths for the several observations
The observations are modeled by a mixture of Gaussians
To obtain a HMM model, execute the function cinhmm.sci 
with the argument "lr" set to 2 before using this function
.fi
.SH SEE ALSO
clrrecsg, clrreesg, clrrecmg, clrreemg.man								T. A
