.TH chmmdeli  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
chmmdeli - gets the parameters of a CHMM from a list HMM (used in "chmmdist").
.SH CALLING SEQUENCE
.nf
[Pinit,A,Me,Seg,C,LP,Com]=chmmdeli(HMM)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
LP		
: Log likelihood (log(P(OImodel))
.TP
Com		
: Commentary
.SH 
.SH DESCRIPTION
.nf
[Pinit,A,Me,Seg,C,LP,Com]=chmmdeli(HMM)
.fi
This function gets the parameters of a CHMM from a list HMM (used in "chmmdist").
.fi
.SH SEE ALSO
chmmdelist, chmmdist								T. A
									