.TH chmmdist  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
chmmdist - calculates the non-symmetric and symmetric distances between two CHMMs
.SH CALLING SEQUENCE
.nf
[distsym, distnsym]=chmmdist(HMMA,HMMB,O)
.fi
 
.SH PARAMETERS
.TP
HMMA
: defined by
.fi

-> Pinita= HMMA(1), nitial state distribution vector (1*N) of HMMA
.fi

-> Aa= HMMA(2), state stochastic matrix (N*N) of HMMi of HMMA
.fi

-> Mea= HMMA(3), observation mean list Me=list(1:M)Mi of HMMA
.fi

Mi are matrices (K*N) of mean vectors Msi of HMMA
Msi is the bservation mean vectors (K*1) in state si of HMMA
.fi

-> Sega= HMMA(4), observation Covariance list Sega=list(1:M)Segi of HMMA
Segsi is the covariance Matrix (K*K) in state si of HMMA
.fi

-> Ca= HMMA(5), mixture gains (for a mixture of Gaussians probability density function) of HMMA
Ca=ones(N*1) in	case of Single Gaussian, C (N*M) in case of M mixtures
.fi

-> LPa= HMMA(6), log likelihood of O per model i (LPa=log(P(OIHMMA))
.fi

-> Com= HMMA(7), commentary
M is the number of Gaussian observation mixtures
N is the number of states in HMM 
.TP
HMMB
: defined in the same manner as HMMA			
.TP
O     			
: Given observation sequence matrix (K*T)
.fi

K is the observation mean vector dimension and T is the observation sequence length (scalar)
.TP
distnsym			
: distance non-symetric between HMMA and HMMB (distnsym=(LPa-LPb)/T);
.TP
distsym			
: distance symetric between HMMA and HMMB (distsym=[dist(A,B)+dist(B,A)]/2T);
.fi
.SH  
.SH DESCRIPTION
.fi
[distsym,distnsym]=chmmdist(HMMA,HMMB,O)
.fi

This function calculates the non-symmetric and symetric distances between two HMMs
The models may have different N or M, however K must be the same
and are given as a list HMMx (can be generated with the function 'chmmlist'
.fi

.SH SEE ALSO
chmmdeli, chmmlist							T. A 
