.TH cinhmm  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cinhmm - Two examples of models CHMM
.SH CALLING SEQUENCE
.nf
[Pinit,A,Me,Seg,C,M,K,N] = cinhmm(mod,lr)
.fi
.SH 
.SH PARAMETERS
.TP
mod 		
: Model index (i=1 or 2)
mod=1 for N=2, M=1, K=2  
mod=2 for N=2, M=2, K=2  
N is the number of states
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
.TP
lr		
: Model type index 
lr=1 all transitions between states are permitted
lr=2 Left-to-Right model
.TP
Pinit 	
: Initial state distribution vector (1*N) 
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
.SH 
.SH DESCRIPTION
.nf
[Pinit,A,Me,Seg,C,M,K,N] = cinhmm(mod,lr)
.fi
Two examples for a Multivariate single, M=1, C=ones(N,M)
or mixture, M > 1, C=ones(N,M) Continuous Observations HMM (CHMM) initialisation
returns the parameters of the mod-th model (mod=1 or 2)
Two model structures may be generated : 
mod=1 for one mixture (M=1), 2 states (N=2), 2 components in the observation vector (K=2)
mod=2 for two mixtures (M=2), 2 states (N=2), 2 components in the observation vector (K=2)
lr=1 : All transitions between states are permitted
lr=2 : Left-to-Right model
.fi
.SH SEE ALSO
makehmm									T. A 
