.TH clikelih  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
clikelih - calculates the probability density function that a given observation has
been generated by the given CHMM.
.SH CALLING SEQUENCE
.nf
[LP,P]=clikelih(Pinit,A,Me,Seg,C,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
LP		
: Log of the Normalized Likelihood (log(P(O))/T)
P is the likelihood
.SH 
.SH DESCRIPTION
.nf
[LP,P]=clikelih(Pinit,A,Me,Seg,C,O)
.fi
This function calculates the probability density function that a given model has 
produced the given single gaussian observation sequence. The calculation is done 
with the forward probabilities of the Baum-Welch algorithm and 
takes the underflow problem into account
.fi
.SH SEE ALSO
dlikelih								T. A 
