.TH clrrecsg  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
clrrecsg - reestimates the CHMM Left-to-right for a single gaussian density 
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,Me,Seg]=clrrecsg(Pinit,A,Me,Seg,Obs)
.fi
.SH 
.SH PARAMETERS
.TP
LP
: Normalized log of Likelihood of HMM (log(P(O|model)/T)
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M=1, is the number of Gaussian observation mixtures=1.
K is the Observation mean vector dimension
T is the Observation sequence length 
.TP
Obs 		
The several observation sequences O are
concatenated with their length Ts inbetween them';
size(Obs): (1,L+Ts1+Ts2+...+TsL).
This matrix consists of the different observation matrices which are preceded 
by a column containing their length e.g. three different observation matrices
of length 100 120 80 give the matrix Obs=[column with the first length (100),
columns with the belonging observation,column with the second length (120), 
columns with the belongign observations etc.]
.fi

O is the Observation sequence vector (K*T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,Me,Seg]=clrrecsg(Pinit,A,Me,Seg,Obs)
.fi
This function calculates the Forward and Backward Probabilities 
and then reestimates the Left-to-right CHMM. The conditonal probability of
a (K) dimonsional observation is considered to be a single 
gaussian density with mean vectors (Mi) and covariance matrices (Segi).
A multiple observation sequences are necessary for left to right models since 
only these models need a training with different observation sequences.
( Pinit(1)=1, Pinit(i)=0, i~=1 )
( A(i,j)=0,j>i+delta ).
If there are problems with divisions by zero which might be caused by a bad 
initial guess of the model parameters, a better initial guess often solves this.
This function takes the underflow problem into account.
.fi
.SH SEE ALSO
cgenlr, clrreesg, clrrecmg, clrreemg					T. A 
