.TH clrreesg  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
clrreesg - Left-to-Right CHMM recursive training for single gaussian density  
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,Me,Seg]=clrreesg(Pinit,A,Me,Seg,Obs,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian (M=1)
M is the number of Gaussian observation mixtures=1.
K is the Observation mean vector dimension
T is the Observation sequence length 
.TP
Obs 		
The several observation sequences O are
concatenated with their length Ts inbetween them';
size(Obs): (1,L+Ts1+Ts2+...+TsL).
This matrix consists of the different observation matrices which are preceded 
by a column containing their length e.g. three different observation matrices
of length 100 120 80 give the matrix Obs=[column with the first length (100),
columns with the belonging observation,column with the second length (120), 
columns with the belongign observations etc.]
.fi

O is the Observation sequence vector (K*T)
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 
: Maximum Iteration number
.TP
LP
: Normalized log of Likelihood of HMM (log(P(O|model)/T) 
.SH
.SH DESCRIPTION
.nf
[LP,Pinit,A,Me,Seg]=clrreesg(Pinit,A,Me,Seg,Obs,tol,IterMax)
.fi
This function calculates the Forward and Backward Probabilities 
and then reestimates the CHMM model. The conditonal probability of
a (K) dimonsional observation is considered to be a single 
gaussian density with mean vectors (Mi) and covariance matrices
(Segi).
This function calls the function clrrecsg until the improvement of the absolute value of the relative normalized 
log-probability (abs(LProb-LProbold)/LProbold) is less than a given tolerance tol
or the number of iterations exceeds IterMax 
This function takes the underflow problem into account. 
The reestimation formulas are based on Liporace and Rabiner Algorithms.  
.fi
.SH SEE ALSO
cgenlr, clrrecsg, clrreesg, clrreemg					T. A 
