.TH clusters  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
clusters - computes the statistics for each cluster
.SH CALLING SEQUENCE
.nf
[nr,m,v] = clusters(x,c,nc)
.fi
.SH 
.SH PARAMETERS
.TP
x
: d*n matrix of samples
d - dimension of samples
n - number of samples
.TP
c
: 1*n matrix with the cluster identity for each sample x(:,i)
should contain numbers between 1 and nc
.TP
nc
: the number of different clusters (max(c) if omitted)
.TP
nr
: 1*nc matrix with the number of samples in each cluster
.TP
m  
: d*nc matrix with the mean for each cluster
.TP
v  
: d*nc matrix with the variance for each component
.SH 
.SH DESCRIPTION
.nf
[nr,m,v] = clusters(x,c,nc)
.fi
This function calculates for  
.fi
-> a given (d*n) matrix (x) of samples
(d - dimension of samples n - number of samples,
.fi
-> a given (1*n) matrix with the cluster identity 
for each sample x(:,i) should contain numbers between 1 and nc, and
.fi
-> a given number (nc) of different clusters (max(c) if omitted)

.fi
a (1*nc) matrix (nr) with the number (nc) of samples in each cluster,
.fi
a (d*nc) matrix (m) with the mean for each cluster,
.fi
a (d*nc) matrix (v) with the variance for each component.
.fi
.SH SEE ALSO
kmeans, nearest, sqrdist						T. A 
