.TH cobsgen  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cobsgen - generates an observation sequence of length T for a given CHMM
.SH CALLING SEQUENCE
.nf
[O,X]=cobsgen(Pinit,A,Me,Seg,C)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Generated observation sequence matrix (K*T) 
.TP
X
: Generated state sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[O,X]=cobsgen(Pinit,A,Me,Seg,C)
.fi
This function is used to generate an observation sequence of
length T using the given Multivariate Continuous single, M=1, C=ones(N,M)
or a Mixture, M > 1, C=ones(N,M) HMM (Pinit,A,Seg,Me,C).
To obtain a pre-defined HMM model, you may execute the function "cinhmm.sci" 
or the function "makehmm" before using this function.
.fi
.SH SEE ALSO
cinhmm,	makehmm							T. A
