.TH crecurmg 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
crecurmg - reestimates the CHMM model (Mixture of Gaussian) for a single iteration.
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,Me,Seg,C]=crecurmg(Pinit,A,Me,Seg,C,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
 LP		
 : Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,Me,Seg,C]=crecurmg(Pinit,A,Me,Seg,C,O)
.fi
This function calculates the Forward and Backward Probabilities 
and then reestimates the CHMM model for a single iteration by the
Baum - Liporace algorithms. 
The conditonal probability of a (K) dimonsional observation is 
considered to be a single or a mixture of m gaussian densities 
with mean vectors (Mi) and covariance matrices (Segi).
This function takes the underflow problem into account. 
.fi
.SH SEE ALSO
creestmg, creest, creestsg, crecursg							T. A
