.TH crecursg  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
crecursg - reestimates the CHMM model (Single Gaussian) for a single iteration.
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,Me,Seg]=crecursg(Pinit,A,Me,Seg,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: (=Me(1)) Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
: (=Seg(1)) Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
LP		
: Normalized log of Likelihood (log(P(O|model))/T) 
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,Me,Seg]=crecursg(Pinit,A,Me,Seg,O)
.fi
This function calculates the Forward and Backward Probabilities 
and then reestimates the CHMM model for a single iteration by the
Baum - Liporace algorithms. 
The conditonal probability of a (K) dimonsional observation is 
considered to be a single gaussian density with mean vectors (Mi) 
and covariance matrices (Segi).
This function takes into account the underflow problem. 
.fi
.SH SEE ALSO
creestsg, creest, crecurmg, creestmg					T. A