.TH creestmg 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
creestmg - calls the function crecurmg until the improvement of the absolute value of the relative normalized 
log-likelihood is less than a given tolerance tol or the number of iterations exceeds IterMax
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,Me,Seg,C]=creestmg(Pinit,A,Me,Seg,C,O,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
: Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
T is the Observation sequence length (scalar)
.TP
O 		
: Observation sequence matrix (K*T) 
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 	
: Maximum Iteration number
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,Me,Seg,C]=creestmg(Pinit,A,Me,Seg,C,O,tol,IterMax)
.fi
This function reestimates the CHMM model for many iterations on "crecursg".
The conditonal probability of a (K) dimonsional observation is considered 
to be a single (M=1) or a mixture of gaussian densities (M>1) with mean vectors (Me) and covariance matrices(Seg).
This function takes the underflow problem into account. 
.fi
.SH SEE ALSO
crecurmg, creestmgmg, creestmgsg, crecursg							T. A
