.TH cvireest 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cvireest - reestimates the CHMM model by Viterbi algorithm 
.SH CALLING SEQUENCE
.nf
[LP,A,Me,Seg]=cvireest(Pinit,A,Me,Seg,O,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
.fi
M=1 Number of Gaussian observation mixtures (scalar)Mi are matrices  Mi (K*N)of mean vectors Msi
.fi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
.fi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi is the Covariance Matrix (K*K) in state i 
.fi
K is the Observation mean vector dimension
.TP
O 		
: Observation sequence matrix (K*T)
.fi
T is the Observation sequence length (scalar) 
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 	
: Maximum Iteration number
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,A,Me,Seg]=cvireest(Pinit,A,Me,Seg,O,tol,IterMax)
.fi
This function reestimates the CHMM model by Viterbi algorithm . 
The conditonal probability of a (K) dimonsional observation is 
considered to be a single gaussian density with mean vectors (Mi)
and covariance matrices (Segi).
This function calls the function cvitrain until the improvement 
of the absolute value of the relative normalized log-probability
(abs(LProb-LProbold)/LProbold) is less than a given tolerance tol
or the number of iterations exceeds IterMax. 
This function takes the underflow problem into account.
.fi
.SH SEE ALSO
cviterbi, cvitrain							T. A
