.TH cviterbi 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
cviterbi - generates for a continuous observation sequence the best state sequence. 
.SH CALLING SEQUENCE
.nf
[LP,X]=cviterbi(Pinit,A,Me,Seg,C,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
.fi
M Number of Gaussian observation mixtures 
.fi
Mi are matrices  Mi (K*N) of mean vectors Msi
.fi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
.fi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi is the Covariance Matrix (K*K) in state i 
.fi
K is the Observation mean vector dimension
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
.fi
C=ones(N*1) Case of Single Gaussian
.fi
C (N*M)	Case of M mixtures.
.TP
O 		
: Observation sequence matrix (K*T)
.fi
T is the Observation sequence length (scalar) 
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
LP
X		
: State sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[LP,X]=cviterbi(Pinit,A,Me,Seg,C,O)
.fi
This function (scaled Viterbi algorithm) generates, for a 
Multivariate Single or Mixture of continuous Gaussian observation 
sequence, the best state sequence. 
The (log) function is used to eliminate the underflow problem. 
.fi
.SH SEE ALSO
cvireest, cvitrain							T. A
