.TH danneal  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
danneal - DHMM training by simulated annealing approach 
.SH CALLING SEQUENCE
.nf
[LP,A,B]=danneal(a,b,N,M,O,Iter)
.fi
.SH PARAMETERS
.TP
a 
:(N*N) Matrix that indicate the allowed transitions (1 for 
allowed, 0 for forbidden transitions) 
.TP 
b 
:(N*M) Matrix that indicate the allowed observation in state i (1 for 
allowed, 0 for forbidden observation in state i) 
.TP
N
:number of states (i=1,...,N)
.TP
M
: Number of distinct observation symbols per state
.TP
O 
: Observation sequence matrix (1*T)
.TP 
Iter
: Number of iterations with different ( reducing ) temperatures
.TP 
P
: likelihood
.TP 
LP
: Normalized log of likelihood of HMM (log(P(O|model)/T)
.SH DESCRIPTION
.nf
[LP,A,B]=danneal(a,b,N,M,O,Iter)
.fi
This function is used for the estimation of a DHMM 
by Simulated Annealing, given an observation sequence.
To be able to treat left to right models, the algorithm uses the 
penalization matrices a,b to indicate the forbidden transitions and 
observations. 'a' is the matrix of allowed transitions. 
They are indicated by '1' and forbidden transitions by '0'. 
The same is valid for the observation matrix b.
The variable Iter gives the number of iterations with different ( reducing )
temperatures
Brief description of the algorithm : Given the observation sequence O, a 
state sequence is generated at random and its probability of generating O is 
calculated. This is called the inital cost. Afterwards one state in the 
sequence is changed at random and the probability that this new state 
sequence has generated O is calculated. If the latter is bigger than the
old one, or the probability of acceptance Paccept=exp((Pnew-Pold)/Temp) is 
big enough, the change is saved. The probability of acceptance decreases 
with decreasing temperature so that for longer iteration only better 
solutions are accepted.  
.fi
.SH SEE ALSO
canneals									T. A
