.TH dhmmdist  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dhmmdist - calculates the non-symmetric and symmetric distances between two DHMMs
.SH CALLING SEQUENCE
.nf
[distsym,distnsym]=dhmmdist(HMMA,HMMB,O)
.fi
 
.SH PARAMETERS
.TP
HMMA
: defined by
.fi

-> Pinita= HMMA(1), nitial state distribution vector (1*N) of HMMA
.fi

-> Aa= HMMA(2), state stochastic matrix (N*N) of HMMi of HMMA
.fi

-> Ba= HMMA(3), observation stochastic matrix of HMMA (N*M)

-> LPa= HMMA(4), log likelihood of O per model i (LPa=log(P(OIHMMA))
.fi

-> Com= HMMA(5), commentary
M is the number of distinct observation symbols per state
N is the number of states in HMM 
.TP
HMMB
: defined in the same manner as HMMA			
.TP
O     			
: Given observation sequence matrix (1*T)
.TP
distnsym			
: distance non-symetric between HMMA and HMMB (distnsym=(LPa-LPb)/T);
.TP
distsym			
: distance symetric between HMMA and HMMB (distsym=[dist(A,B)+dist(B,A)]/2T);
.fi
.SH  
.SH DESCRIPTION
.fi
[distsym,distnsym]=dhmmdist(HMMA,HMMB,O)
.fi

This function calculates the non-symmetric and symetric distances between two DHMMs
The models may have different N and are given as a list HMMx 
(can be generated with the function 'dhmmlist'
.fi

.SH SEE ALSO
dhmmdeli, dhmmlist							T. A 
