.TH dlrrecur  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dlrrecur - reestimates the DHMM Left-to-Right .
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,B]=dlrrecur(Pinit,A,B,Obs)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
M is the Number of distinct observation symbols per state
.TP
Obs	 
: Observation sequence vector (1*T)	
.fi
The observation matrix O (row vector) consists of the different observation 
.fi
matrices which are preceeded by a column containing their length 
.fi
e.g. three different observation matrices of length 
.fi
100 120 80 give the matrix 
.fi
Obs=[column with the first length (100),columns with the belonging 
.fi
observation, column with the second length (120), columns with the belonging observation etc.] 		
.fi
O is the Observation sequence vector (K*T)
T is the Observation sequence length
.TP
LP
: Mean of the normalized log of likelihood of HMM (log(P(O|model)/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,B]=dlrrecur(Pinit,A,B,Obs)
.fi
This function calculates the Forward and Backward Probabilities 
and then reestimates the DHMM model for multiple obsevations. 
This is only necessary for left to right models since only these models need
a training with different observation sequences. 
( Pinit(1)=1, Pinit(i)=0, i~=1 )
( A(i,j)=0,j>i+delta ).
If there are problems with divisions by zero which might be caused by a bad 
initial guess of the model parameters, a better initial guess often solves 
this.
The reestimation formulas are obtained by Liporace Algorithm.  
This function takes the underflow problem into account. 
LP : log of mean probability that the new model has generated the given observation sequences.
.fi
.SH SEE ALSO
dgenlr, dlrreest							T. A
