.TH dlrreest  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dlrreest - Left-to-Right DHMM recursive training for single or mixture of gaussian densities
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,B]=dlrreest(Pinit,A,B,Obs,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M	 : Number of distinct observation symbols per state
.TP
Obs 		
The several observation sequences O are
concatenated with their length Ts inbetween them';
size(Obs): (1,L+Ts1+Ts2+...+TsL).
This matrix consists of the different observation matrices which are preceded 
by a column containing their length e.g. three different observation matrices
of length 100 120 80 give the matrix Obs=[column with the first length (100),
columns with the belonging observation,column with the second length (120), 
columns with the belongign observations etc.]
.fi 
O is the Observation sequence vector (K*T)
.fi 
T is the Observation sequence length (scalar)
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 
: Maximum Iteration number
.TP
LP
: Normalized log of Likelihood of HMM (log(P(O|model)/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,B]=dlrreest(Pinit,A,B,Obs,tol,IterMax)
.fi
Function to reestimate the parameters of a Left-to-Right DHMM with multiple 
observation sequence until a certain stop criterion is reached.  
This function calls the function drecurs until the improvement of the absolute value of the relative normalized 
log-probability (abs(LProb-LProbold)/LProbold) is less than a given tolerance tol
or the number of iterations exceeds IterMax. 
.fi
.SH SEE ALSO
dgenlr, dlrrecur							T. A 
