.TH drecur 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
drecur - reestimates the parameters of a DHMM by one iteration on Baum algorithm
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,B]=drecur(Pinit,A,B,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M Number of distinct observation symbols per state
.TP
O 		
: Observation sequence matrix (K*T) 
.fi
T is the Observation sequence length (scalar)
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,B]=drecur(Pinit,A,B,O)
.fi
This function calculates the Forward and Backward Probabilities and
then reestimates the DHMM model by the Baum algorithm. 
The underflow problem is taken into account.
The normalized log of likelihood LP is returned for the reestimated model.
.fi
.SH SEE ALSO
dreest								T. A
