.TH dreest 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dreest - reestimates recursively the parameters of a DHMM
.SH CALLING SEQUENCE
.nf
[LP,Pinit,A,B]=dreest(Pinit,A,B,O,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M Number of distinct observation symbols per state
.TP
O 		
: Observation sequence matrix (K*T) 
.fi
T is the Observation sequence length (scalar)
.TP
tol 	 	
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood)) is less than tol or Iteration > IterMax. 
.TP
IterMax 	
: Maximum Iteration number
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
.SH 
.SH DESCRIPTION
.nf
[LP,Pinit,A,B]=dreest(Pinit,A,B,O,tol,IterMax)
.fi
Function to reestimate the parameters of a DHMM until a certain stop 
criterion is reached.  
This function calls the function drecurs until the improvement of the absolute value of the relative normalized 
log-probability (abs(LProb-LProbold)/LProbold) is less than a given tolerance tol
or the number of iterations exceeds IterMax. 
.fi
.SH SEE ALSO
drecur								T. A
