.TH dvireest 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dvireest - reestimates recursively the parameters of a DHMM by viterbi algorithm 
.SH CALLING SEQUENCE
.nf
[LP,A,B]=dvireest(Pinit,A,B,O,tol,IterMax)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M is the number of distinct observation symbols per state
.TP
O 		
: Observation sequence matrix (1*T)
.fi
T is the Observation sequence length 
.TP
tol 	 
: Stop if abs((New log(likelihood) - old log(liklihood)) / old log(likelihood))
is less than tol or Iteration > IterMax. 
.TP
IterMax 
: Maximum Iteration number
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
LP
X		
: State sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[LP,A,B]=dvireest(Pinit,A,B,O,tol,IterMax)
.fi
Function to reestimate the parameters of a DHMM until a certain stop 
criterion is reached.  
This function calls the function dvitrain until the improvement of the absolute value of the relative normalized 
log-probability (abs(LProb-LProbold)/LProbold) is less than a given tolerance tol
or the number of iterations exceeds IterMax. 
.fi
.SH SEE ALSO
dviterbi, dvitrain							T. A
