.TH dviterbi 1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
dviterbi - generates, for a discrete observation sequence, the best state sequence.
.SH CALLING SEQUENCE
.nf
[LP,X]=dviterbi(Pinit,A,B,O)
.fi
.SH 
.SH PARAMETERS
.TP
Pinit 	
: Initial state distribution vector (1*N) 
N is the number of states
.TP
A     	
: State stochastic matrix (N*N)
.TP
B     
: Observation stochastic matrix (N*M)
.fi
M is the number of distinct observation symbols per state
.TP
O 		
: Observation sequence matrix (1*T)
.fi
T is the Observation sequence length (scalar) 
.TP
LP		
: Normalized Likelihood (log(P(O|model))/T)
LP
X		
: State sequence vector (1*T)
.SH 
.SH DESCRIPTION
.nf
[LP,X]=dviterbi(Pinit,A,B,O)
.fi
This function (Viterbi algorithm) generates, for a discrete 
observation sequence, the best state sequence.
The (log) function is used to eliminate the underflow problem. 
.fi
.SH SEE ALSO
dvireest, dvitrain							T. A
