.TH gengausm  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
gengausm - calculates the Likelihood of the observation vector (Ot) per state in M gaussian observations.
.SH CALLING SEQUENCE
.nf
[GaussMatm,GaussMat]=gengausm(C,Me,Seg,O)
.fi
.SH 
.SH PARAMETERS
.TP
C     	
: Mixture gains (for a mixture of Gaussians probability density function)
C=ones(N*1) 	: Case of Single Gaussian
C (N*M)	: Case of M mixtures
N is the number of states
M is the number of Gaussian observation mixtures (scalar)
K is the Observation mean vector dimension
.TP
Me    	
: Observation mean list Me=list(1:M)Mi
Mi are matrices  Mi (K*N)of mean vectors Msi
Msi are the Observation Mean vectors (K*1) in state i 
.TP
Seg 
:Observation Covariance list Seg=list(1:M)Segi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
Segsi is the Covariance Matrix (K*K) in state i 
.TP
O 		
: Observation sequence matrix (K*T) 
.fi
T is the Observation sequence length 
.TP
GaussMatm 
: a list of dimension t of matrices (N,M), the matrices components are bjm(Ot)
for t=1,..,T in state j and mixture m
.TP
GaussMat
: (N*T) Matrix at time t, the sum on m of bjm(Ot)
.SH 
.SH DESCRIPTION
.nf
[GaussMatm,GaussMat]=gengausm(C,Me,Seg,O)
.fi
This function checks if the matrices Pinit,A, C and the lists Me,Seg are valid
for a Multivariate Mixture Gaussian Observations HMM, i.e. checks if the sizes match, the sum of 
probabilities is 1, probabilities are > 0 and covariance martices
are symmetric and positiv definit, mixtures gain factors are > 0 and sum to 1
.fi
.SH SEE ALSO
gengauss								T. A
