.TH hmmtrain  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
hmmtrain - how to train a HMM given observation sequence? (A demonstration example).
.SH CALLING SEQUENCE
.nf
[HMMslist]=hmmtrain()
.fi
.SH 
.SH PARAMETERS
.TP
HMMslist=list(Pinit0,A0,B0,Pinit,A,B,LP,O,X) for DHMM
.TP
HMMslist=list(Pinit0,A0,Me0,Seg0,C0,Pinit,A,Me,Seg,C,LP,O,X) for CHMM
.fi 
Pinit0, Pinit are the initial and final state distribution vectors (1*N) 
.fi
N is the number of states
.fi
A0, A are the initial and final state stochastic matrices (N*N)
.fi
 B0, B are the discret observation stochastic matrices (N*M)
.fi
Me0, Me are the initial and final observation mean list Me=list(1:M)Mi
.fi
Mi are matrices  Mi (K*N)of mean vectors Msi
.fi
Msi are the Observation Mean vectors (K*1) in state i 
.fi
Seg0, Seg are the initial and final observation covariance list Seg=list(1:M)Segi
.fi
Segi is the Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi is the Covariance Matrix (K*K) in state i 
.fi
C0, C are the initial and final Mixture gains (for a mixture of Gaussians probability density function)
.fi
C=ones(N*1) 	: Case of Single Gaussian
.fi
C (N*M)	: Case of M mixtures
.fi
M is the number of Gaussian observation mixtures (scalar)
.fi
K is the Observation mean vector dimension
.fi
O 		
: used observation sequence matrix (K*T) 
.fi
T is the Observation sequence length (scalar)
.fi
LP		
: Log likelihood (log(P(OImodel))
.fi
X used state sequence vector (1*T)
.SH
.SH DESCRIPTION
.nf
[HMMslist]=hmmtrain()
.fi
This function is used as how to train a HMM:
> Training of a Discret observations HMM (DHMM)
> Training of a Continuous observations HMM (CHMM) for a single or a mixture
of Gaussian observations sequence
> Training of an AutoRegressif HMM (ARHMM) for a single or a mixture of Gaussian observations sequence
.fi
HMMslist : A list of old HMM parameters, new HMM parameters, Normalized log of Likelihood,
used observation sequence and their corresponding state sequence:
HMMslist=list(Pinit0,A0,B0,Pinit0,A0,B0,LP,O,X) for DHMM
HMMslist=list(Pinit0,A0,Me0,Seg0,C0,Pinit0,A0,Me0,Seg0,C0,LP,O,X) for CHMM
.fi
.SH SEE ALSO
training							T. A 
