.TH makehmm  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
makehmm - creates one or more DHMM, CHMM or HMMAR using x_window dialog
.SH CALLING SEQUENCE
.nf
[HMM]=makehmm()
.fi
.SH 
.SH PARAMETERS
.TP
HMM=list(hmm_1, hmm_2, ...)
.fi
> hmm_j=list(Pinit,A,B) for DHMM
.fi
> hmm_j=list(Pinit,A,Me,Seg,C) for CHMM
.fi
> hmm_j=list(Pinit,A,ar,sig2) for ARHMM
.fi
-> Pinit : state distribution vector (1*N) 
.fi
-> N     : number of states
.fi
-> A     : stochastic matrix (N*N)
.fi
-> B     : discret observation stochastic matrix (N*M)
.fi
-> Me    : observation mean list Me=list(1:M)Mi
.fi
-> Mi    : matrix  Mi (K*N) of mean vectors Msi
.fi
-> Msi   : observation Mean vectors (K*1) in state i 
.fi
-> Seg   : observation covariance list Seg=list(1:M)Segi
.fi
-> Segi  : observation covarianc list Segi=list(1:N)Segsi
.fi
-> Segsi : Covariance Matrix (K*K) in state i 
.fi
-> C     : initial and final Mixture gains (for a mixture of Gaussians probability density function)
.fi
   C=ones(N*1) in case of Single Gaussian
.fi
   C (N*M) in case of M mixtures
.fi
-> M     : number of Gaussian observation mixtures (scalar)
.fi
-> K     : observation mean vector dimension
.fi
-> O     : used observation sequence matrix (K*T) 
.fi
-> T     : observation sequence length (scalar)
.fi
-> LP    : Log likelihood (log(P(OImodel))
.fi
-> X     : used state sequence vector (1*T)
.fi
-> ar    : matrix of the regression coefficients in each state and 
for each output k (Nx(K*Ng)) where Ng=n+1 for b0=0 (AR model) 
or Ng=2(n+1) for b0=1 (ARX model). 
The ar(:,(k-1)*Ng+1), k=1,2,...K are always one.[N,K*(2(n+1)]=size(ar);	
.fi	
         I 1 a1(1)  . . .  an(1) 1 b1(1) . . .  bn(1) I
.fi
ar(:,k)= I .......................................... I
.fi
         I 1 a1(N)  . . .  an(N) 1 b1(N) . . .  bn(N) I
.fi
-> sig2		: Squared SIGMA matrix (K,N);
.SH
.SH DESCRIPTION
.nf
[HMM]=makehmm()
.fi
Function to create one or more DHMM, CHMM or HMMAR using x_window dialog
The given parameters are introduced interactively :
.fi
- Number of states (N) 
.fi
- Number of distinct observation symbols per state (M) : for DHMM
.fi
- Observation dimension per state (K) : for CHMM and HMMAR
.fi
- Number of mixtures (M) : for CHMM 
.fi
.SH SEE ALSO
makehmmar								T. A 






