.TH meanvar  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
meanvar - calculates the observation mean vector and the covariance matrix per state j and
per mixture  
.SH CALLING SEQUENCE
.nf
[Mj ,Segsj]=meanvar(j,Oj)
.fi
.SH 
.SH PARAMETERS
.TP
j       
: State number 
.TP
Oj      
: Observation sequence matrix (K*T)
.fi
K Dimension of the observation vector
.fi
T Observation sequence length
.TP
Mj      
: Observation mean vector in state j (K*1)
.TP
Segsj   
: Covariance matrix in state j (K*K)
.SH 
.SH DESCRIPTION 
.nf
[Mj ,Segsj]=meanvar(j,Oj)
.fi
This function calculates the mean vector (Mj) and 
covariance matrix (Segj) per state j and per mixture 
of a given observation sequence O in state j.
.fi
.SH SEE ALSO
segmean									T. A
