.TH segmean  1   "HMM toolbox" "Scilab Function"
.so ../sci.an
.SH NAME
segmean - calculates the mean vectors and the covariance matrices of a single Gaussian sequence in all states 
.SH CALLING SEQUENCE
.nf
[Seg,Me,Nobs]=segmean(O,X,N)
.fi
.SH 
.SH PARAMETERS
.TP
O     
: Single Gaussian Observation sequence matrix (K*T)
.TP
X
: State sequence (1*T)
.fi
K Dimension of the observation vector
.fi
T Observation sequence length
.TP
N
: Number of states	  
.TP
Mj      
: Observation mean vector in state j (K*1)
.TP
Seg  
: Observation Covariance list Seg=list(1:M)Segi
.fi
Segi : Observation covarianc list Segi=list(1:N)Segsi
.fi
Segsi : Covariance Matrix (K*K) in state si  
: Covariance matrix in state j (K*K)
.TP
 Me    	
 : Observation mean list Me=list(1:M)Mi
Mi : Matrices  Mi (K*N)of mean vectors Msi
.fi
.fi
Msi : Observation Mean vectors (K*1) in state si 
.fi
M=1 : Number of Gaussian observation mixtures (scalar)
.TP
Nobs  	
: Number of observations in state i, for i=1,..., N
.SH 
.SH DESCRIPTION 
.nf
[Seg,Me,Nobs]=segmean(O,X,N)
.fi
Calculates the mean vectors and the covariance matrices of a
single Gaussian observation sequence (M=1) in state i, for i=1,...,N
.fi
.SH SEE ALSO
meanvar								T. A
